<div class="row justify-content-between mb-4">
  <div class="col-lg-6 col-md-8 col-sm-9 col-12">
    <div class="row">
      <div class="col-md-3">
        <input class="form-control" type="search" placeholder="Recherche" [ngModel]="query.search"
               (input)="onSearchType($event)">
      </div>
      <div class="col-md-2">
        <select class="custom-select" style="width: auto" [(ngModel)]="query.page_size"
                (ngModelChange)="getComponents()">
          <option [ngValue]="25">25 élements</option>
          <option [ngValue]="50">50 élements</option>
          <option [ngValue]="100">100 élements</option>
          <option [ngValue]="200">200 élements</option>
        </select>
      </div>
    </div>
  </div>
  <div class="col-lg-6 col-md-4 col-sm-3 col-12 text-right">
    <button (click)="componentModal()" type="button" class="btn btn-info ml-2">
      Ajouter un composant
    </button>
  </div>
</div>

<div class="row">
  <div class="col-12">
    <table class="table table-striped bg-white">
      <thead>
      <tr>
        <th scope="col">Nom</th>
        <th scope="col">Famille de composant</th>
        <th scope="col">Fournisseur</th>
        <th scope="col">Stock</th>
        <th scope="col">Prix</th>
      </tr>
      </thead>
      <tbody>
      <ng-container *ngIf="componentPage && componentPage.results.length > 0; else fakeLines">
        <tr *ngFor="let elem of componentPage.results;" [routerLink]="['/components/' + elem.id]">
          <td>{{elem.name}}</td>
          <td>{{elem.componentFamily}}</td>
          <td>{{elem.provider}}</td>
          <td>{{elem.stock}} U</td>
          <td>{{elem.amount}} €</td>
        </tr>
      </ng-container>
      <ng-template #fakeLines>
      </ng-template>
      </tbody>
    </table>
  </div>
</div>

<div *ngIf="componentPage" class="row mt-2">
  <div class="col-12">
    <ngb-pagination [collectionSize]="componentPage.results.length" [(page)]="query.page" [pageSize]="query.page_size"
                    (pageChange)="getComponents()">
    </ngb-pagination>
  </div>
</div>
